## com-hypirion-io-clojure 0.3.1

=== debian/changelog ===
com-hypirion-io-clojure (0.3.1-1) unstable; urgency=low

  * Initial Release. (Closes: #718455)

 -- Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>  Sat, 17 Aug 2013 16:00:37 -0400
