=== debian/control ===
Source: com-hypirion-io-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders:
 Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
Build-Depends:
 javahelper (>= 0.43),
 maven-repo-helper (>= 1.7),
 libtext-markdown-perl | markdown,
 debhelper (>= 9),
 default-jdk
Standards-Version: 3.9.4
Homepage: https://github.com/hyPiRion/com.hypirion.io
Vcs-Git: git://git.debian.org/pkg-clojure/io-clojure.git
Vcs-Browser: http://git.debian.org/?p=pkg-clojure/io-clojure.git

Package: libcom-hypirion-io-clojure
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: I/O redirection, signal handling, and console utilities
 com-hypirion-io-clojure provides a set of features wrapped in Java classes:
 .
  *Pipe: Establish a link between InputStream and OutputStream, also supports
   Reader and Writer.
  *SignalInterceptor: Intercept POSIX signals before they are sent to their
   signal handlers.
  *RevivableInputStream: Allow canceling blocking read calls to streams
   without closing them.
  *ConsoleUtils: Set on/off echoing in the console.
 .
 Common usage of this library includes: asynchronous zipping of data from two
 data sources, redirecting output and input to subprocesses and loggers, and
 sending messages to threads.
