=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
export JAVA_HOME=/usr/lib/jvm/default-java
export JH_JAR_EXTRA=project.clj

MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))
PRODUCED_JAR=hypirion-io.jar
NAMESPACE=com.hypirion/io
MAVEN_META=META-INF/maven/$(NAMESPACE)
LEIN_META=META-INF/leiningen/$(NAMESPACE)

%:
	dh $@ --with javahelper,jh_maven_repo_helper

override_jh_build: $(MDWN_DOCS)
	jh_build --javacopts="-target 1.6 -source 1.6 -Xlint:-options" $(PRODUCED_JAR) src
	jar uf $(PRODUCED_JAR) -C src/ com
	mkdir -p $(CURDIR)/doc/html && mv $(CURDIR)/*.html $(CURDIR)/doc/html
	mkdir -p $(CURDIR)/meta/$(MAVEN_META)
	mkdir -p $(CURDIR)/meta/$(LEIN_META)
	cp $(CURDIR)/project.clj $(CURDIR)/meta/$(LEIN_META)
	cp $(CURDIR)/debian/maven-meta/* $(CURDIR)/meta/$(MAVEN_META)
	jar uf $(PRODUCED_JAR) -C meta/ META-INF
	jar uf $(PRODUCED_JAR) project.clj

override_jh_clean:
	jh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/doc
	rm -rf $(CURDIR)/meta

override_mh_linkjars:
	mh_installjar --usj-name=hypirion-io --skip-clean-pom --package=libcom-hypirion-io-clojure -l debian/pom.xml $(PRODUCED_JAR)


%.html:%.md
	cat debian/header.html > $@
	sed -i'' -e 's/@TITLE@/$(shell head -n 1 $< | sed 's/^#*\s*//')/g' $@
	markdown $< >> $@
	cat debian/footer.html >> $@
