=== debian/watch ===
version=3
https://github.com/hyPiRion/com.hypirion.io/tags .*/(\d[\d\.]+)\.tar\.gz
